#! /usr/bin/perl5
#
# description.frm
#
# Copyright 1988-1996 Silicon Graphics, Inc.
# All rights reserved.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
# the contents of this file may not be disclosed to third parties, copied or
# duplicated in any form, in whole or in part, without the prior written
# permission of Silicon Graphics, Inc.
#
# RESTRICTED RIGHTS LEGEND:
# Use, duplication or disclosure by the Government is subject to restrictions
# as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
# and Computer Software clause at DFARS 252.227-7013, and/or in similar or
# successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
# rights reserved under the Copyright Laws of the United States.
#
# $Id: description.frm,v 1.11 1997/04/17 21:29:01 shotes Exp $

print <<EndOfFile;
Content-type: text/html

<H2>File Transfer Protocol (FTP)</H2>
<P>
The file transfer protocol (FTP) is a TCP/IP service that sends and
receives files to and from remote networks. The <VAR>ftp</VAR> command
interpreter supports the user interface to FTP: it manages requests for
connections to remote servers and provides options for controlling the
file transfer session. The <VAR>ftpd</VAR> daemon process supports FTP
functions on the server: it accepts incoming connections and responds
to user requests during the session.
</P>
<P>
Ordinarily, FTP connections require a login procedure that identifies
the user and assigns a user account and privileges for the session.
However, this connection method does not accommodate connection
requests from users who are unknown to the server. To offer FTP
services to unknown users, you can implement <VAR>anonymous FTP.</VAR>
Anonymous FTP allows anyone to connect to the server but, by
restricting directory access, it restricts what these users may do.
</P>
<P>
Configuring FTP involves specifying <VAR>ftpd</VAR> parameters and
setting up the anonymous FTP user account. You configure and manage FTP
using these forms:
</P>
<UL>
<LI><A HREF="index.ftp1.shtml" TARGET="left">Anonymous FTP</A>
<LI><A HREF="index.ftp2.shtml" TARGET="left">FTP Server</A>
</UL>
<P>
For instructions on setting up anonymous FTP, see IRIX Admin:
Networking and Mail.<BR> See also ftp(1C) and ftpd(1M).
</P>
EndOfFile
